@import url('https://fonts.googleapis.com/css2?family=Prosto+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Prosto+One&family=Ubuntu:wght@&display=swap');

/* --------Variáveis de estilo-------- */
:root{
    --dark1: #323232;
    --dark2: #1c1c1c;
    --corPrimaria: #dddddd;
    --corSecundaria: #7fef86;
    --corTercearia: #2a9d11;
    --preto: #000;
    --cinza: #585858;
    --fontPrimaria: 'Prosto One', cursive;
    --fontSecundaria: 'Ubuntu', sans-serif;
}

/* --------Configuração geral da página-------- */
* {
    margin: 0;
    padding: 0;
    list-style-type: none;
    text-decoration: none;
    font-family: var(--fontSecundaria);
    color: var(--corPrimaria);
}

body {
    background: linear-gradient(45deg, 
    var(--preto), 
    var(--cinza), 
    var(--preto),
    var(--corTercearia));
    background-size: 400% 400%;
    height: 100vh;
    animation: cores 15s ease infinite;
}

/* --------Configurando o menu-------- */
.menu ul{
    display: flex;
    justify-content: center;
    background-color:var(--dark1);
    height: 5vh;
}

.menu ul li {
    padding-right: 2vw;
    padding-top: 0.9vh;
}

.menu ul li a {
    color: var(--corPrimaria);
    font-size: 1.1vw;
    transition: color 1s;
}

.menu ul li a:hover {
    color: var(--corSecundaria);
}

/* --------Configurando Container principal-------- */
.container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 14vh;
}

.txt {
    width: 50%;
    padding: 0.8vw 0;
}

h1, h2 {
    font-family: var(--fontPrimaria);
    padding: 0.2vw 0;
}

.txt span{
    color: var(--corSecundaria);
    transition: color 1s;
}

.txt span:hover {
    color: var(--corTercearia);
}

h1 {
    font-size: 4vw;
    letter-spacing: 2px;
}

h2 {
    font-size: 2vw;
}

article p{
    font-size: 1vw;
    font-weight: 500;
    padding: 0.8vw 0 ;
}

.imgfrente img{
    height: 60vh;
}

.social {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.social a {
    padding: 1vh 0;
}


.home__social-icon:hover {
    color: var(--corSecundaria);
}

/* --------Configurando rodapé-------- */
footer {
    background-color:var(--dark1);
    height: 5vh;
    color: var(--corPrimaria);
    font-size: 2.3vh;
    text-align: center;
    width: 100vw;
    position: fixed;
    bottom: 0;
}

footer p {
    position: relative;
    padding-top: 1vh;
    animation: slidel 5s ease infinite;
}

/* --------Animação para troca de cores mais suave-------- */
@keyframes cores {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

/* --------Animação de fade-in / fade-out-------- */
@keyframes slidel {
    0% {
        /* transform: translateX(-40vw); */
        opacity: 1;
    }
    
    50% {
        
        opacity: 0.1;
    }
    100% {
        /* transform: translateX(40vw); */
        opacity: 1;
    }
}

/* --------Responsividade para telas menores que 500px-------- */
@media screen and (max-width: 500px) {
    .menu ul{
        height: 4vh;
    }
    
    .menu ul li a {
        font-size: 1rem;
        padding: 0 7px;
    }

    .container {
       margin-top: 0;
       flex-direction: column;
       justify-content: space-between;
       align-items: center;
    }    

    .txt {
        width: 90vw;
    }

    h1 {
        font-size: 8vw;       
    }
    
    h2 {
        font-size: 5vw;
        text-align: end;
        margin-bottom: 1rem;
    }

    article p{
        font-size: 3vw;
        font-weight: 500;
        text-align: justify;
        padding-bottom: 1rem;
    }

    .imgfrente img{
        width: 100vw;
        height: auto;
    }
        
    .social {
        display: flex;
        flex-direction: row;
        align-items: center;
    }
    
    .social a {
        padding: 1vh 2vw;
    }
    
    footer {
        height: 4vh;
        font-size: 1.5vh;
    }
}

/* --------Resposividade para telas menores que 280px-------- */
@media screen and (max-width: 281px) {
    footer {
        height: 4vh;
        font-size: 1.5vh;
    }

    .social {
        margin-top:50px;
    }

    .imgfrente img{
        margin-top: 30px;
        width: 100vw;
        height: auto;
    }

    .txt {
        margin-top: 20px;
        width: 90vw;
    }

    .menu ul{
        height: 5vh;
    }
    
    .menu ul li a {
        font-size: 0.7rem;
        padding: 0 7px;
    }
}